<?php
/*
*File added by Ian L. of Jafty.com to enable exporting and importing of PHP code snippets into the PHP Post Code plugin.
*The code in this entire file is included within the check_post_vars function in the PHPPostCode.php file.

.csv file uses ~~ as field separator and ~~~ as separator between ea. result set of id,name,desc,code. An example of 2 rows in .csv format would be:
4~~test-snippet~~snippet desc~~&lt;?php code goes here;?&gt;~~~
5~~Test two~~test 2 desc~~&lt;?php test two code here...?&gt;~~~
*/
global $wpdb;
if($do_export){
echo "<h3 style='color:green'>Exporting PHP Code Snippets</h3>";
/*uncomment to show all posted vars:
	foreach($post as $var=>$val){
	echo "$var - $val<br>";
	}//end foreach post var.
*/
$snippet_array = $post['delete'];
$j=1;
	foreach($snippet_array as $codeID => $sta){
	//echo "Snippet: $codeID - $sta<br>";
	//$snippets = $wpdb->get_results("SELECT  FROM `".$wpdb->prefix.self::$plugin_table_name."` WHERE `id`='$codeID'");
	$snip = self::get_single_snippet($codeID);
	$snipname = esc_attr($snip->name);
	$snipdesc = esc_attr($snip->description);
	$snipcode = esc_attr($snip->code);
	//echo "ID/Name: $codeID - $snipname<br>";
	//echo "Desc: $snipdesc<br>";
	//echo "Code: $snipcode<hr>";
	//add snippet to CSV var:
	//csv format is id~~name~~desc~~code
	$CSV .= "$codeID~~$snipname~~$snipdesc~~$snipcode~~~\n";
	echo "$j) <span style='color:brown'>$snipname  - </span>";
	//set up date-time var for appending to file names:
	$info = getdate();
	$date = $info['mday'];
	$month = $info['mon'];
	$year = $info['year'];
	$hour = $info['hours'];
	$min = $info['minutes'];
	$sec = $info['seconds'];
	$current_date = $date."-".$month."-".$year."_".$hour."-".$min."-".$sec;
	//write ea. PHP code snippet to separate .txt file:
	//build txt file name by removing spaces from snipname:
	$pfn = str_replace(" ","_",$snipname);
	$pfn .= "-$current_date.txt";
	$php_file = "../wp-content/plugins/php-code-for-posts/exported_php_files/$pfn";
	//use htmlspecialchars_decode on snipcode:
	$php_cd = htmlspecialchars_decode($snipcode);
	//replace remaining #039; with ":
	$php_cd = str_replace('&#039;','"',$php_cd);
	$fh = fopen($php_file, 'w') or die("ERROR! can't write $php_file");
	fwrite($fh, $php_cd);
	fclose($fh);	
	echo " <a href='$php_file'>View PHP code</a>&nbsp;&nbsp;&nbsp;&nbsp;";	
	
	//write ea. PHP code snippet to separate .php file:
	//build php file name by removing spaces from snipname:
	$pfn = str_replace(" ","_",$snipname);
	$pfn .= "-$current_date.php";
	$php_file = "../wp-content/plugins/php-code-for-posts/exported_php_files/$pfn";
	$fh = fopen($php_file, 'w') or die("ERROR! can't write $php_file");
	fwrite($fh, $php_cd);
	fclose($fh);	
	echo " <a href='../wp-content/plugins/php-code-for-posts/force_download.php?f=$pfn'>Download PHP File</a><br>";	
	$j++;
	}//end foreach snippet
//write CSV var to .csv file
$export_file = "../wp-content/plugins/php-code-for-posts/exported_csv_files/PHPCodeExport-$current_date.csv";
$fh = fopen($export_file, 'w') or die("can't open $export_file file to overwrite");
fwrite($fh, $CSV);
fclose($fh);	
echo "<p style=''><a href='$export_file'>Download .csv File for Importing</a></p>";	
}//############ End if export action #############
?>